package org.processmining.dataawarecnetminer.extension.decision;

import java.util.Map;
import java.util.Set;

import org.processmining.dataawarecnetminer.extension.DefaultHeuristicPlugin;
import org.processmining.dataawarecnetminer.extension.HeuristicPlugin;
import org.processmining.dataawarecnetminer.model.DataRelationStorage;
import org.processmining.dataawarecnetminer.model.EventRelationStorage;
import org.processmining.datadiscovery.BasicDecisionTreeImpl;
import org.processmining.datadiscovery.DecisionTreeConfig;
import org.processmining.datadiscovery.ProjectedLog;
import org.processmining.datadiscovery.RuleDiscovery;
import org.processmining.datadiscovery.WekaDecisionTreeRuleDiscovery.TreeRule;
import org.processmining.datadiscovery.estimators.Type;
import org.processmining.framework.plugin.annotations.KeepInProMCache;

@KeepInProMCache
@HeuristicPlugin
@DefaultHeuristicPlugin
public class DecisionHeuristicExtensionC45Impl extends DefaultDecisionHeuristicFactory {

	public DecisionHeuristic newInstance(EventRelationStorage eventStorage, DataRelationStorage dataStorage) {
		return new QualityAwareDecisionHeuristicImpl(eventStorage, dataStorage) {

			protected RuleDiscovery<TreeRule> newRuleDiscovery(ProjectedLog projectedLog,
					DecisionTreeConfig discoveryConfig, Map<String, Type> attributesTypes,
					Map<String, Set<String>> literalValues, int estimateSize) {
				return new BasicDecisionTreeImpl(discoveryConfig, projectedLog, attributesTypes, literalValues,
						estimateSize);
			}

		};
	}

	public String getName() {
		return "C4.5 (F1-score)";
	}

	public String getReference() {
		return "Standard C4.5 decision tree discovery using F1-score to estimate the quality of the discovered decision rules.";
	}

}