package org.processmining.dataawarecnetminer.interactive;

import org.processmining.dataawarecnetminer.model.DataRelationStorage;
import org.processmining.dataawarecnetminer.model.EventRelationStorage;
import org.processmining.framework.annotations.AuthoredType;

@AuthoredType(typeName = "Interactive Data-aware Causal Miner", author = "Felix Mannhardt", email = "f.mannhardt@tue.nl", affiliation = AuthoredType.TUE)
public final class InteractiveDataAwareCausalMiner {

	private final EventRelationStorage eventStorage;
	private final DataRelationStorage dataStorage;

	public InteractiveDataAwareCausalMiner(EventRelationStorage eventStorage, DataRelationStorage dataStorage) {
		this.eventStorage = eventStorage;
		this.dataStorage = dataStorage;
	}

	public EventRelationStorage getEventStorage() {
		return eventStorage;
	}

	public DataRelationStorage getDataStorage() {
		return dataStorage;
	}

}