package org.processmining.dataawarecnetminer.model;

import org.processmining.models.cnet.CNetBinding;
import org.processmining.models.cnet.CNetNode;

public interface FrequencyAwareNet {
	
	int getNodeFrequency(CNetNode node);
	
	int getCorrectVariableFrequency(CNetNode node, String variable);
	
	int getMissingVariableFrequency(CNetNode node, String variable);
	
	int getIncorrectVariableFrequency(CNetNode node, String variable);
	
	int getNodeSkippedFrequency(CNetNode node);
	
	int getNodeInsertedFrequency(CNetNode node);

	int getInputFrequency(CNetNode node);
	
	int getOutputFrequency(CNetNode node);
	
	int getBindingFrequency(CNetBinding binding);
	
}